#!/bin/bash

#CD/DVD/BD Image builder app for OpticalWM
#Application for WM's with dynamic-menu support

#Get WM value for item device = $1 /device is for test
device="/dev/sr0"

source "../lib/main.sh" 
source "../lib/ui.sh"

get_from "/dev/sr0" --media --label --block_size --size_input
ask --output-label

case "$media" in
	
	optical_cd|optical_cd_r|optical_cd_rw|optical_mrw|optical_mrw_w)
		prepare $device
		cdrdao read-cd --device "$device" --read-subchan rw_raw --read-raw --datafile "$output_bin" "$output_toc"
		toc2cue "$output_toc" "$output_cue"
	;;
	
	*)
		prepare $device
		dd if="$device" bs="$block_size" of="$output_bin" & PID_dd="$!"
				
		#UI
		yad --notification --listen <&3 2> /dev/null & PID_yad="$!"
		dd_monitor_stdin &
		
		wait $PID_dd
		dd_exit_code="$?" #Report exit code
		echo "quit" >&3
	;;
	
esac
