#!/bin/bash

ask(){

	case $1 in
	
		--output-label)
			path="$(zenity --file-selection --title="Build image" --save --filename="$label" --confirm-overwrite 2> /dev/null)"
				if [ "$?" -eq 1 ]
					then
				exit
				fi
		;;
		
		--output)
		path="$(zenity --file-selection --save --title="Build image" --filename="" --confirm-overwrite 2> /dev/null)"
				if [ "$?" -eq 1 ]
					then
				exit
				fi
		;;
esac

#Output path association
output_bin="$path.bin"
output_toc="$path.toc"
output_cue="$path.cue"
}

get_from(){
TMP="$(mktemp -q /tmp/wm_optical.ib_XXXXXXXXX)"
udisks --show-info "$1" > "$TMP"

for arg    # "in $@" is implied
    do
        case $arg in
        
        --media)
			media="$(cat "$TMP" | grep "media" | sed 1d | sed 1d | awk '{print $2}')"
		;;
        
        --block_size)
			block_size="$(cat "$TMP" | grep "block size:" | awk '{print $3}')"
		;;
        
        --label)
			label_a=$(cat "$TMP" | grep "label:" | sed 's/label:                       //g')
			label="$(echo "$label_a" | sed 's/  //g')"
		;;
		
        --size_input)
			size_input="$(cat "$TMP" | grep "size" | sed 2d | awk '{print $2}')"
		;;
        
        esac
done
}

prepare(){
#udisks --unmount "$1" 2> /dev/null
PIPE=$(mktemp -u --tmpdir ${0##*/}.XXXXXXXX)
mkfifo $PIPE
exec 3<> $PIPE
}
