#!/bin/bash

#Dependencies
#yad for tray-icon
#zenity for basic dialogs

ui(){
		
		get_monitor_info(){
			size_out="$(du -B 1 "$output_bin" | awk '{print $1}' 2> /dev/null)"
			progress_z="$(echo "($size_out*100/$size_input)" | bc)"
			progress_r="$(echo "scale=1;($size_out*100/$size_input)" | bc -l)"
			size="$(du -h "$output_bin" | awk '{print $1}' 2> /dev/null)"
			echo "$size_out $progress_z $progress_r $size"
			#yad values
			icon="./gfx/$progress_z.svg"
			title="<b>▶ Building image...                    </b>"
			progress="<b>$progress_r%</b> | $size"
			text="<b>From:</b> $label \n<b>Path:</b> $output_bin"
		}
		
		print_yad(){
		
			case $1 in
			
			--monitor)
				#print
				echo "icon:$icon" >&3
				echo "tooltip:$title $progress \n\n$text" >&3
			;;
			
			esac	
		}
		
		monitor(){
			while :;do
			get_monitor_info 
			print_yad --monitor
			sleep 1
		done
		}
					
		case $1 in
				--tray-osd)
				
		notify-send "Building image..." "Receiving data from source:\n▸ $device"
		
		yad --notification --listen <&3 2> /dev/null & PID_yad=$! 
		monitor & PID_monitor=$!
		
		wait $PID_dd
		exit_code="$?"
		
		kill -s TERM $PID_monitor
		kill -s TERM $PID_yad
		
		case $exit_code in
			0)
				notify-send "Finished" "Image saved sacessfully on:\n▸ $output_bin"
			;;
			
			143)
				notify-send "Failed" "Process aborted by user signal"
			;;
			
			*)
				notify-send "Failed" "Process stoped with exit code $exit_code"
			;;
		
		esac
		;;
		esac
		
		}
		
