#!/bin/bash

#include
source "$HOME/.wm_optical/lib/wm_wrapper.sh"
source "$HOME/.wm_optical/lib/app_function.sh"
#source "$HOME/optical_toolkit/app/lib/wm_wrapper.sh"
#source "$HOME/optical_toolkit/app/lib/app_function.sh"
#additional vars
emblem_icons="/usr/share/icons/gnome/16x16/emblems"
app_ib="$HOME/.wm_optical/app.builder"

#Menu devices
get.menu.devices(){

#capture /dev/sr[x]
cdrdao scanbus 2> "/tmp/devices"
dev=$(cat /tmp/devices | sed 1d | sed 's/$/ /g'| awk '{print $1}'); echo ${dev[0]} > "/tmp/device"
#name devices in array : /dev/sr0 /dev/sr1 /dev/sr2...
device=( $(echo ${dev[0]}) )
#numero de dispositivos
devices="$(echo ${#device[@]})"
n_dev="$(($devices - 1))"

#para cada dispositivo, capturar toda la información y definir estados.
for id in $(eval echo {0..$n_dev});do
	#udisks --mount "${device[id]}";
	udisks --show-info "${device[id]}" > "/tmp/device_$id"
	available[id]="$(cat "/tmp/device_$id" | grep "has media:" | awk '{print $3}')"
	hardware[id]="$(cat "/tmp/device_$id" | grep "model" | awk '{print $2" "$3}')"
	blank[id]="$(cat "/tmp/device_$id" | grep "blank" | awk '{print $2}')"
	media[id]="$(cat "/tmp/device_$id" | grep "media" | sed 1d | sed 1d | awk '{print $2}')"
	#label[id]="$(cat "/tmp/device_$id" | grep "label" | awk '{print $2}')"
	label_a=$(cat "/tmp/device_$id" | grep "label:" | sed 's/label:                       //g')
	label="$(echo "$label_a" | sed 's/  //g')"
	#define state [ empty, writable, no_writable, image ]
	if [ "${available[id]}" = "1" ]
		then
			open.menu --id "$id" --label "[${device[id]}] : ${label[id]}" --icon "$emblem_icons/emblem-default.png" 
				item --label "BIN¹ Binary image" --icon "" --action "$app_ib/ib-app.sh ${device[id]}"
				separator --none
				item --label "⏏ Eject" --icon "" --action "eject ${device[id]}"
			close.menu
			else
				open.menu --id "empty-$id" --label "[${device[id]}] : Empty drive" --icon "$emblem_icons/emblem-important.png"

					item --label "Eject drive" --icon "$emblem_icons/emblem-symbolic-link.png" --action "eject ${device[id]}"
				close.menu
			

	fi
done
}


open.pipe.menu
	get.menu.devices
	
close.pipe.menu

